Subject: Re: bug#65973: [PATCH] ; send filename, not full path, on EWW form submit

From: Stefan Kangas <[email-masked]>
Date: Fri, 8 Nov 2024 01:33:36 +0000

Eli Zaretskii <[email-masked]> writes:

> The private information can be in the file name you send as well, so
> this is not a convincing argument.

True, but then at least it's obvious to the user that private
information is being sent.  Leaking your username on file upload is not
something that I believe most users would expect.  I didn't, at least.

> But since the RFC says to ignore the leading directories, I think the
> change is okay, provided we describe the rationale in the comments to
> the code.  It is very unusual thing in Emacs to remove leading
> directories from a file name, so doing so generally begs for some
> commentary.

It seems like we agree then, thanks.